Results 1 to 7 of 7
  1. #1
    Join Date
    Nov 2013
    Location
    Dorset, UK
    Posts
    121
    Plugin Contributions
    0

    Default Sorry, your security clearance does not allow you...

    Hi All,

    I recently updated from v154 to v155f.... I have a general understanding of the admin profiles but this one has me stumped! Only Superuser can access and change Configuration > My Store. Other menu options appear and save fine just configuration!

    No matter if a new user or modified old user everyone except Superuser will get "Sorry, your security clearance does not allow you to access this resource". It allows you to view the settings and select to modify, but when I save the setting I get the security screen.

    My tables appear fine and I can see the configMyStore, configWebsiteMaintenance all logged against the correct profile_id.

    Any pointers? Anyone?

  2. #2
    Join Date
    Jul 2012
    Posts
    15,109
    Plugin Contributions
    17

    Default Re: Sorry, your security clearance does not allow you...

    Quote Originally Posted by SpaceMonkey View Post
    Hi All,

    I recently updated from v154 to v155f.... I have a general understanding of the admin profiles but this one has me stumped! Only Superuser can access and change Configuration > My Store. Other menu options appear and save fine just configuration!

    No matter if a new user or modified old user everyone except Superuser will get "Sorry, your security clearance does not allow you to access this resource". It allows you to view the settings and select to modify, but when I save the setting I get the security screen.

    My tables appear fine and I can see the configMyStore, configWebsiteMaintenance all logged against the correct profile_id.

    Any pointers? Anyone?
    Sorry to hear that there were issues discovered with alternate user profiles following an upgrade of the site from 1.5.4 to 1.5.5f. In the spirit of providing information to make it easier to provide an answer, could you continue to answer the remainder of the posting tips questions related to upgrading?

    Would suggest looking at admin profile assignment in the admins section of the toolbar to verify that associated configuration options are checked for the associated profile(s). The option to access My Store should be a selectable option.
    ZC Installation/Maintenance Support <- Site
    Contribution for contributions welcome...
    Upgraded to Zen Cart V1.5.3 from V1.5.1 from V1.5.0 from V1.3.9h

  3. #3
    Join Date
    Nov 2013
    Location
    Dorset, UK
    Posts
    121
    Plugin Contributions
    0

    Default Re: Sorry, your security clearance does not allow you...

    Quote Originally Posted by mc12345678 View Post
    Sorry to hear that there were issues discovered with alternate user profiles following an upgrade of the site from 1.5.4 to 1.5.5f. In the spirit of providing information to make it easier to provide an answer, could you continue to answer the remainder of the posting tips questions related to upgrading?
    I'm not really sure what is relevant here..... I started with zen v1.51 and upgraded to v1.53 then 1.54 and now 1.5.5f. All upgrades were with an FTP client.

    I have the following plugins installed:
    Hide-Categories v2.3
    search-log v2.4
    reward-points-full-suite v2.5
    email-archive-manager v1.8b
    sales-report v3.2.0 (should by now be a standard feature )
    auto-open-close-store v2
    uk-date-format

    No direct overwrites! Every plugin merged files with text editor.

    PREVIOUSLY I used the admin profile plugin!!! This is of course the feature that is now playing up as it's been built into zen cart!

    Quote Originally Posted by mc12345678 View Post
    Would suggest looking at admin profile assignment in the admins section of the toolbar to verify that associated configuration options are checked for the associated profile(s). The option to access My Store should be a selectable option.
    I have checked profiles thoroughly. Strange that I can view the config settings and then it just stops me when I try to apply the change. I have checked all of the profiles and made sure id's and config keys are correct.

    Further to this, I have done a clean install and this problem isn't present! This problem isn't present in my development copy either. However when I follow the upgrade/rebuild instructions the problem is there! I am at a complete loss!

    Would this be worth a rebuild, new DB and then move (copy) the DB tables (customers, orders etc) over to the new installation (obviously not copying admin profiles)??

    Regards
    Last edited by SpaceMonkey; 7 Jul 2018 at 01:53 PM. Reason: Grammer

  4. #4
    Join Date
    Jan 2004
    Location
    N of San Antonio TX
    Posts
    7,502
    Plugin Contributions
    8

    Default Re: Sorry, your security clearance does not allow you...

    Upgrading through FTP can be a big project. Normally one is better off to follow the rebuild vs upgrade method.

    The fact that you are not seeing the problem with a rebuild tells me you probably have a file left over from the previous admin profile that is automatically trying to install the old version when you open your admin.

    Don't have a copy of the old profiles mod or a spot to check it right now, but did you run the uninstall provided with the mod? It mainly addresses the database
    Code:
    # @package Admin Profiles# @copyright Copyright 2006-2010 Kuroi Web Design
    # @copyright Portions Copyright 2003 Zen Cart Team
    # @license http://www.zen-cart.com/license/2_0.txt GNU Public License V2.0
    # @version $Id: uninstall_admin_profiles.sql 357 2010-05-23 18:50:07Z kuroi $
    
    
    DROP TABLE IF EXISTS admin_menu_headers;
    DROP TABLE IF EXISTS admin_visible_headers;
    DROP TABLE IF EXISTS admin_files;
    DROP TABLE IF EXISTS admin_allowed_pages;
    Are there still some files left over from the mod? If they are, either replace them with original ZC files or delete them if they were added by the mod.

    Lastly, are you getting any debug files you haven't mentioned?
    Did you read the posting tips?!?
    Responsive Color Changes for 155-156c demo here.
    Zen Cart PCI Compatible Hosting

  5. #5
    Join Date
    Jul 2012
    Posts
    15,109
    Plugin Contributions
    17

    Default Re: Sorry, your security clearance does not allow you...

    To me the reference to using ftp meant that the install was not an auto-upgrade. I didn't believe I had enough information from the statements to determine if the upgrade process was by comparison of each file to make changes to it if it was different and to continue on. But perhaps that will become clearer in response.

    Ok, so back to the OP: while on the surface it sounds like the process may have appeared to be properly followed, it does seem like there was a mistake that has occurred somewhere along the way. It really is up to you on how you would want to move forward from that, especially considering you seem to have been keeping things relatively up-to-date by at least periodically upgrading.

    I will say that as I recall in ZC 1.5.1 once a few minor issues with the profile handling were addressed there did not seem to be a need for any other outside profile software. So having started at 1.5.1 it almost seems as if the installation of that profile software were unnecessary; however, that also was a good number of years ago now and maybe it fulfilled a need that I didn't have... anyways... I would certainly go the route suggested by dbltoe of upgrading by rebuild... it is far easier generally speaking and considering you seem to be in a position where you can actually continue to operate your store while upgrading, you're in a good spot.

    Now, as far as doing that: get the software in place to support the desired operations of a new store. Then incorporate your existing database into this and get it updated (in a temporary/trial area) to see that it works.

    As to my question(s) earlier about profile settings... I was referring to logging into the admin, from the admin menu select the menu option "admins" (if it is not present then that is yet a different issue). Then from there, admin profiles. Your other than superuser profiles should contain a list of checkable options which should include options in the configuration menu such as My Store. Yes, the other database related information is important to validate, but would suggest first looking at where the assignments are expected to be seen.

    Now, that said, I also would like to point out that I do not see anything posted indicating that the above has been done, so if it is some sort of "repeat" action, I apologize, but do suggest going through it again.

    Now that said also, there has at one time or another been some discussion about how some permissions are determined and the effect of the logic, but I would really suggest addressing the above other things (including what dbltoe suggested) before venturing down yet another path...
    ZC Installation/Maintenance Support <- Site
    Contribution for contributions welcome...
    Upgraded to Zen Cart V1.5.3 from V1.5.1 from V1.5.0 from V1.3.9h

  6. #6
    Join Date
    Nov 2013
    Location
    Dorset, UK
    Posts
    121
    Plugin Contributions
    0

    Default Re: Sorry, your security clearance does not allow you...

    Quote Originally Posted by dbltoe View Post
    The fact that you are not seeing the problem with a rebuild tells me you probably have a file left over from the previous admin profile that is automatically trying to install the old version when you open your admin.

    ##code removed##

    Are there still some files left over from the mod? If they are, either replace them with original ZC files or delete them if they were added by the mod.

    Lastly, are you getting any debug files you haven't mentioned?
    Hi dbbltoe,

    FTP client was a reference to a manual update not automated. Nothing left from old installation in the file set either, deleted everything from pulic_html and then started transfer process. Was a rebuild with v1.5.5f then plugins merged to current file set. NO direct file overwrites when plugins installed (file comparison and merge).

    As for the DB tables, none of those tables exist so I think I must of run the uninstall sql at some point and no, no log files generated!

  7. #7
    Join Date
    Nov 2013
    Location
    Dorset, UK
    Posts
    121
    Plugin Contributions
    0

    Default Re: Sorry, your security clearance does not allow you...

    Quote Originally Posted by mc12345678 View Post
    To me the reference to using ftp meant that the install was not an auto-upgrade. I didn't believe I had enough information from the statements to determine if the upgrade process was by comparison of each file to make changes to it if it was different and to continue on. But perhaps that will become clearer in response.
    Hi..
    Yes correct. It really would take forever to compare and update each file. FTP client to upload a fresh file set (v1.5.5f + plugins as a rebuild) rather than a bot upgrade.

    Quote Originally Posted by mc12345678 View Post
    As to my question(s) earlier about profile settings... I was referring to logging into the admin, from the admin menu select the menu option "admins" (if it is not present then that is yet a different issue). Then from there, admin profiles. Your other than superuser profiles should contain a list of checkable options which should include options in the configuration menu such as My Store. Yes, the other database related information is important to validate, but would suggest first looking at where the assignments are expected to be seen.

    Now, that said, I also would like to point out that I do not see anything posted indicating that the above has been done, so if it is some sort of "repeat" action, I apologize, but do suggest going through it again.

    Now that said also, there has at one time or another been some discussion about how some permissions are determined and the effect of the logic, but I would really suggest addressing the above other things (including what dbltoe suggested) before venturing down yet another path...
    Of course I have thoroughly checked the profiles of each user!! In admin and the database. I have a good understanding of the basic functions and how to set them..... For this installation it won't follow them, it's most peculiar to me that it will let me view the settings and then reverts to the security message when I try to edit the settings.

    Also as a normal update process I always "reconfirm" user profiles as this has caused issues in the past. Normally cleared by opening the user and simply selecting update.

    I have attempted a fresh copy of my file set today in a hope the FTP client had not properly uploaded one of the files. No joy here... A bit lost now...

 

 

Similar Threads

  1. v150 Customer Uploaded Files Plugin: Sorry, your security clearance does not allow you...
    By looseshengji in forum All Other Contributions/Addons
    Replies: 4
    Last Post: 21 Apr 2013, 02:16 AM
  2. Replies: 7
    Last Post: 9 Jun 2012, 04:34 AM
  3. Replies: 3
    Last Post: 21 Mar 2012, 01:57 AM
  4. Sorry, your security clearance does not allow you to access this resource
    By thirupathy in forum All Other Contributions/Addons
    Replies: 1
    Last Post: 4 Dec 2009, 11:19 AM
  5. Replies: 3
    Last Post: 29 Jun 2009, 03:45 AM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
disjunctive-egg
Zen-Cart, Internet Selling Services, Klamath Falls, OR